## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iDynamicsCollisionCallback Struct Reference

This is the interface for attaching a collider callback to the body. More...

`#include <ivaria/dynamics.h>`

Inheritance diagram for iDynamicsCollisionCallback:

[legend]
List of all members.

## Public Member Functions

virtual void | Execute (iRigidBody *thisbody, iRigidBody *otherbody, const csVector3 &pos, const csVector3 &normal, float depth)=0
| A collision occured.

## Detailed Description

This is the interface for attaching a collider callback to the body.

Main ways to get pointers to this interface:

- application specific

Main users of this interface:

- iDynamicSystem

Definition at line 305 of file dynamics.h.

## Member Function Documentation

virtual void iDynamicsCollisionCallback::Execute | ( | iRigidBody * | thisbody,
|  | iRigidBody * | otherbody,
|  | const csVector3 & | pos,
|  | const csVector3 & | normal,
|  | float | depth |
| ) |  |  | `[pure virtual]`

A collision occured.

Parameters:

  | pos | is the position on which the collision occured.
  | normal | is the collision normal.
  | depth | is the penetration depth.

The documentation for this struct was generated from the following file:

- ivaria/dynamics.h